Webhooks

Send Test Event

POST
/v1/webhooks/{id}/test

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Response Body

Test event accepted

application/json
  1. response
ok*boolean
Example Request
import { Configuration, WebhooksApi } from "@onepostly/sdk";const webhooksApi = new WebhooksApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await webhooksApi.testWebhook({  id: "dlv_1",});console.log(response);
Example Response
{  "ok": true}